# Retrieve a list of events

Retrieve a list of events that have been created for your account. The events are sorted, with the most recent first

Endpoint: GET /events
Version: v1
Security: apiKey

## Response 200 fields (application/json):

  - `type` (string, required)
    Enum: "list"

  - `data` (array, required)
    Example: [{"id":"EVYKMZD2E452EDFB48","type":"event","event_type":"payment.created","payload":{"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","state":"initialized","return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}},"created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/events/EVYKMZD2E452EDFB48"}}]

  - `data.id` (string, required)
    Example: "EVYKMZD2E452EDFB48"

  - `data.type` (string, required)
    Enum: "event"

  - `data.event_type` (string, required)
    Example: "payment.created"

  - `data.payload` (any, required) — one of:
    Example: {"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","state":"initialized","return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}}
    - chargeback:
      - `id` (string, required)
        Example: "PPH25H07JYWLR7PA82"
      - `type` (string, required)
        Enum: "chargeback"
      - `amount` (integer, required)
        Example: 1000
      - `description` (string, required)
        Example: "Test Payment"
      - `reason` (string,null, required)
      - `currency` (string, required)
        Enum: "EUR"
      - `payment` (string, required)
      - `state` (string, required)
        Example: "initialized"
      - `charged_back_at` (string,null, required)
      - `created_at` (string, required)
        Example: "2023-06-30T12:40:10Z"
      - `_links` (object, required)
        Example: {"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}
      - `_links.self` (string, required)
        Example: "https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"
      - `_links.payment` (string, required)
    - payment:
      - `id` (string, required)
        Example: "PPH25H07JYWLR7PA82"
      - `type` (string, required)
        Enum: "payment"
      - `amount` (integer, required)
        Example: 1000
      - `description` (string, required)
        Example: "Test Payment"
      - `currency` (string, required)
        Enum: same as `currency` in "chargeback" (1 values)
      - `pay_method` (any, required)
        - `id` (string, required)
        - `type` (string, required)
          Enum: "pay_method"
        - `name` (string, required)
        - `currencies` (array)
          Enum: same as `currency` in "chargeback" (1 values)
        - `minimum_amount` (integer)
        - `maximum_amount` (integer)
        - `details` (object)
        - `details.issuers` (array,null)
        - `details.issuers.code` (string)
        - `details.issuers.name` (string)
        - `details.iban` (string,null)
        - `details.bic` (string,null)
        - `details.account_name` (string,null)
        - `details.routing_number` (string,null)
        - `details.account_number` (string,null)
      - `state` (string, required)
        Example: "initialized"
      - `refunded_amount` (integer, required)
      - `return_url` (string,null, required)
        Example: "https://example.com/thank-you"
      - `cancel_url` (string,null, required)
        Example: "https://example.com/cancel"
      - `metadata` (object, required)
      - `customer` (string,null, required)
      - `mandate` (string,null, required)
      - `subscription` (string,null, required)
      - `installment_plan` (string,null, required)
      - `locale` (string,null, required)
        Enum: "de", "en", "fr", "nl"
      - `paid_at` (string,null, required)
        Example: "2023-06-30T12:44:35Z"
      - `fail_reason` (string,null)
        Enum: "The transaction amount or count exceeds the permitted frequency for this card or account.", "The card holder lacks sufficient funds to complete the transaction.", "The transaction could not be processed with the provided card number.", "The issuer has declined the transaction for authentication reasons.", "The transaction is suspected to be fraudulent.", "The issuer did not allow this transaction against this card based on internal reasons, such as the transaction originated from a specifically restricted industry or country.", "The payment is declined."
      - `created_at` (string,null, required)
        Example: "2023-06-30T12:40:10Z"
      - `_links` (object, required)
        Example: {"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}
      - `_links.self` (string, required)
        Example: "https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"
      - `_links.customer` (string)
      - `_links.mandate` (string)
      - `_links.subscription` (string)
      - `_links.installment_plan` (string)
      - `_links.checkout` (string)
    - refund:
      - `id` (string, required)
        Example: "PPH25H07JYWLR7PA82"
      - `type` (string, required)
        Enum: "refund"
      - `amount` (integer, required)
        Example: 1000
      - `description` (string, required)
        Example: "Test Payment"
      - `reason` (string,null, required)
      - `currency` (string, required)
        Enum: same as `currency` in "chargeback" (1 values)
      - `payment` (string, required)
      - `state` (string, required)
        Example: "initialized"
      - `metadata` (object, required)
      - `refunded_at` (string,null, required)
      - `fail_reason` (string,null)
        Enum: "Not enough balance in your PayPro account", "Missing details", "Declined (by PayPro or bank)", "Payment is not refundable anymore", "Unknown"
      - `created_at` (string, required)
        Example: "2023-06-30T12:40:10Z"
      - `_links` (object, required)
        Example: {"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}
      - `_links.self` (string, required)
        Example: "https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"
      - `_links.payment` (string, required)

  - `data.created_at` (string, required)
    Example: "2023-06-30T12:40:10Z"

  - `data._links` (object, required)
    Example: {"self":"https://api.paypro.nl/events/EVYKMZD2E452EDFB48"}

  - `data._links.self` (string, required)
    Example: "https://api.paypro.nl/events/EVYKMZD2E452EDFB48"

  - `count` (integer, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

  - `_links.next` (string)

  - `_links.prev` (string)


